## python-defaults 2.7.5-5tanglu1

=== debian/changelog ===
python-defaults (2.7.5-5tanglu1) staging; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set minimal required python version to 2.7.1
    - debian/rules: Auto-set Tanglu maintainer address

 -- Matthias Klumpp <mak@debian.org>  Tue, 29 Oct 2013 08:46:14 +0100

python-defaults (2.7.5-5) unstable; urgency=low

  [ Steve Langasek ]
  * Adjust debpython/depends.py to be multiarch-friendly.

  [ Piotr Ożarowski ]
  * Set "Multi-Arch: allowed" in python, python-dev, python-minimal,
    python-dbg, python-all, python-all-dev, python-all-dbg
  * Replace /usr/bin/dh_python2 with a Python script that invokes
    dh-python's dh_python2 if Build-Depends{,-Indep} contains dh-python

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 12 Sep 2013 21:25:01 +0200

python-defaults (2.7.5-4ubuntu2) saucy; urgency=low

  * Adjust debpython/depends.py to be multiarch-friendly.  Closes: #722046.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 12 Sep 2013 13:10:46 -0700

python-defaults (2.7.5-4ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining changes:
    - Set Multi-Arch: allowed attributes.
    - Set minimal required python version to 2.7.1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 19 Aug 2013 11:46:54 +0400

python-defaults (2.7.5-4) unstable; urgency=low

  * Add libpython-all-dbg.postinst to convert the doc directory to a symlink
    on upgrade (Closes: #718736)

 -- Scott Kitterman <scott@kitterman.com>  Tue, 13 Aug 2013 00:23:58 -0400

python-defaults (2.7.5-3) unstable; urgency=low

  [ Matthias Klose ]
  * Fix libpython-all-dbg doc dir symlink. Closes: #712270.

  [ Piotr Ożarowski ]
  * Replace /usr/bin/dh_python2 with a shell script that invokes
    dh-python's dh_python2 if debian/control mentions dh-python
  * dh_python2: warnings about --install-layout=deb and translating
    dependencies are just an info now

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 02 Aug 2013 08:54:32 +0200

python-defaults (2.7.5-2) unstable; urgency=low

  * Add dependencies on the new libpython-{stdlib,all-dev,all-dbg} packages.

 -- Matthias Klose <doko@debian.org>  Thu, 13 Jun 2013 15:07:18 +0200

python-defaults (2.7.5-1ubuntu1) saucy; urgency=low

  * Merge with Debian; remaining changes:
    - Set Multi-Arch: allowed attributes.
    - Set minimal required python version to 2.7.1.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 06 Jun 2013 17:35:30 +0200

python-defaults (2.7.5-1) unstable; urgency=low

  [ Matthias Klose ]
  * Bump version to 2.7.5.
  * Drop python2.6 as a supported python version.
  * Bump standards version to 3.9.4.
  * Start building the libpython-stdlib, libpython-all-dev, libpython-all-dbg
    packages.
  * Drop Python 2.6 as a supported Python version.
  * Fix some lintian warnings.

  [ Scott Kitterman ]
  * When X(S)-Python-Version or debian/pyversions is not present, do not
    describe them as missing, just indicate they are not there

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jun 2013 14:57:03 +0200

python-defaults (2.7.4-0tanglu1) aequorea; urgency=low

  * Upload for Tanglu, applied all Ubuntu changes
    - We also support only Python 2.7 at time
    - Bump version number
    - Adjust standards version

 -- Matthias Klumpp <mak@debian.org>  Fri, 19 Apr 2013 21:23:04 +0200

python-defaults (2.7.3-5) unstable; urgency=low

  * Drop Python 2.6 as a supported Python version.

 -- Matthias Klose <doko@debian.org>  Mon, 06 May 2013 02:48:48 +0200
