## python-defaults 2.7.5-5ubuntu1

=== debian/changelog ===
python-defaults (2.7.5-5ubuntu1) saucy; urgency=low

  * Merge with Debian unstable, remaining change:
    - Set minimal required python version to 2.7.1.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 14 Sep 2013 14:10:23 +0400
