=== debian/changelog ===
python-defaults (2.7.5-5ubuntu3) trusty; urgency=medium

  * Don't create extension symlinks in /usr/lib/pyshared/pythonX.Y anymore.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Dec 2013 15:04:57 +0100

python-defaults (2.7.5-5ubuntu2) trusty; urgency=medium

  * dh_python2: Don't move files to /usr/share/pyshared anymore.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Dec 2013 23:37:23 +0100
