=== debian/rules ===
--- 
+++ 
@@ -74,13 +74,6 @@
 	  debian/control.tmp
   endif
 endif
-ifeq ($(distribution),Tanglu)
-  ifneq (,$(findstring tanglu, $(PKGVERSION)))
-	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
-	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
-	  debian/control.tmp
-  endif
-endif
 	[ -e debian/control ] \
 	  && cmp -s debian/control debian/control.tmp \
 	  && rm -f debian/control.tmp && exit 0; \
@@ -234,7 +227,7 @@
 	ln -sf python$(VER).1.gz \
 		debian/python-minimal/usr/share/man/man1/python2.1.gz
 
-	: #
+	: # 
 	mkdir -p debian/python-minimal/usr/share/python
 	cp -p debian/debian_defaults \
 		debian/python-minimal/usr/share/python/
@@ -277,3 +270,9 @@
 	cp -a debian/python-policy.{html,sgml,txt} \
 		debian/python/usr/share/doc/python/
 
+	mkdir -p debian/python/usr/share/pixmaps
+	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm
+
+	: # add symlinks to policy files
+	mkdir -p debian/python/usr/share/doc/python$(VER)
+	for ext in html sgml.gz txt.gz; do \
