## python-defaults 2.7.6-2tanglu1

=== debian/changelog ===
python-defaults (2.7.6-2tanglu1) staging; urgency=medium

  * Merge from Debian, remaining changes:
    - Set minimal required python version to 2.7.6
    - debian/rules: Auto-set Tanglu maintainer address

 -- Jon Severinsson <jon@severinsson.net>  Tue, 20 May 2014 20:00:00 +0200

python-defaults (2.7.6-2) unstable; urgency=medium

  [ Barry Warsaw ]
  * Add python policy for Python Wheels

 -- Scott Kitterman <scott@kitterman.com>  Wed, 21 May 2014 00:04:16 -0400

python-defaults (2.7.6-1) unstable; urgency=medium

  * Bump version to 2.7.6.
  * dh_python2: no longer move files to /usr/share/pyshared, don't create
    /usr/lib/pyshared symlinks for extensions.
  * Use UTF-8 encoding for the python policy in HTML format. Closes: #689931.
  * Add a chapter for the python policy to prefer Python 3 over Python 2.

 -- Matthias Klose <doko@debian.org>  Mon, 12 May 2014 12:16:34 +0200
