=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.5-1~
+PREVVER := 2.7.6-1~
 
 # not yet allowed
 ma_allowed	= yes
@@ -50,7 +50,7 @@
 stamp-doc-policy:
 	debiandoc2text debian/python-policy.sgml
 	mv -f python-policy.txt debian/
-	debiandoc2html debian/python-policy.sgml
+	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
 	rm -rf debian/python-policy.html
 	mv -f python-policy.html debian/
 	make -C pydist README.PyDist.html
@@ -70,6 +70,13 @@
 ifeq ($(distribution),Ubuntu)
   ifneq (,$(findstring ubuntu, $(PKGVERSION)))
 	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
+	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
+	  debian/control.tmp
+  endif
+endif
+ifeq ($(distribution),Tanglu)
+  ifneq (,$(findstring tanglu, $(PKGVERSION)))
+	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
 	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
 	  debian/control.tmp
   endif
@@ -270,9 +277,3 @@
 	cp -a debian/python-policy.{html,sgml,txt} \
 		debian/python/usr/share/doc/python/
 
-	mkdir -p debian/python/usr/share/pixmaps
-	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm
-
-	: # add symlinks to policy files
-	mkdir -p debian/python/usr/share/doc/python$(VER)
-	for ext in html sgml.gz txt.gz; do \
