## python-defaults 2.7.8-1

=== debian/changelog ===
python-defaults (2.7.8-1) unstable; urgency=medium

  [ Barry Warsaw ]
  * Fix typo in policy doc re: wheel package exception list.
  * Add myself to Uploaders.

  [ Scott Kitterman ]
  * Fix error in pydist package relationship regex (Closes: #735163)
    - Thanks to Rafael Laboissiere for the patch
  * Switch from using lsb-release to dpkg-vendor to determine distro and drop
    lsb-release from build-depends (Closes: #751706)
    - Thanks to Peter Pentchev for the patch
  * Drop unused build-depends on libhtml-tree-perl
  * Clarify discussion of requirement to use python:Provides (Closes: #669346)
  * Add clarification of naming requirements for submocules (Closes: #701192)
  * Minor cleanups in debian/pyversions.py
  * Stop automatically regenerating static content (dh_python2 man pages and
    Python FAQ) and drop build-dep on python-docutils to ease bootstrapping
    (Closes: #754060)
    - Add direct build-dep on python-all to replace indirect build-dep
  * Bump version to 2.7.8
  * Drop ancient Breaks on python-csv, python-bz2, and python-email

 -- Scott Kitterman <scott@kitterman.com>  Fri, 11 Jul 2014 17:10:37 -0400
