=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,7 @@
 PKGSOURCE  := $(word 1, $(changelog_values))
 PKGVERSION := $(word 2, $(changelog_values))
 
-distribution := $(shell lsb_release -is)
+distribution := $(shell dpkg-vendor --query Vendor)
 
 export VER=2.7
 export NVER=2.8
@@ -22,7 +22,7 @@
 
 PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
 # first version with Multi-Arch: allowed
-PREVVER := 2.7.6-1~
+PREVVER := 2.7.8-1~
 
 # not yet allowed
 ma_allowed	= yes
@@ -53,7 +53,7 @@
 	debiandoc2html -l en.UTF-8 debian/python-policy.sgml
 	rm -rf debian/python-policy.html
 	mv -f python-policy.html debian/
-	make -C pydist README.PyDist.html
+	make -C pydist
 	touch stamp-doc-policy
 
 stamp-doc: stamp-doc-policy
@@ -74,13 +74,6 @@
 	  debian/control.tmp
   endif
 endif
-ifeq ($(distribution),Tanglu)
-  ifneq (,$(findstring tanglu, $(PKGVERSION)))
-	m='Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>'; \
-	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
-	  debian/control.tmp
-  endif
-endif
 	[ -e debian/control ] \
 	  && cmp -s debian/control debian/control.tmp \
 	  && rm -f debian/control.tmp && exit 0; \
@@ -88,6 +81,7 @@
 
 faqs = index general programming library extending windows gui installed
 get-faq:
+	# Note: This rule is broken due to web site reorg at python.org
 	rm -rf faq
 	mkdir faq
 	cd faq && \
@@ -102,6 +96,27 @@
 	) >> faq/FAQ.ht
 	rm -f faq/index.ht
 
+make-faq:
+	set -e; \
+	cd faq && \
+	for p in *.ht; do \
+	  p=`basename $$p .ht`; \
+	  echo $(rst2html) $$p.ht $$p.html; \
+	  awk 'NR > 2' $$p.ht > $$p.ht2; \
+	  $(rst2html) $$p.ht2 $$p.html; \
+	  rm -f $$p.ht2; \
+	done
+
+MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1
+
+%.1: %.rst
+	rst2man $< > $@
+
+# Manually run this rule if there is a need to update the dh_python2 man pages
+make-man: $(MANPAGES)
+	cd pydist && \
+	rst2html README.PyDist > README.PyDist.html
+
 clean: control-file
 	dh_testdir
 	dh_testroot
@@ -110,7 +125,6 @@
 
 	rm -f debian/python-policy.txt
 	rm -rf debian/python-policy.html
-	rm -f faq/*.h2 faq/*.html
 
 	set -e;\
 	for f in debian/*.in; do \
@@ -148,11 +162,7 @@
 	cd faq && \
 	for p in *.ht; do \
 	  p=`basename $$p .ht`; \
-	  echo $(rst2html) $$p.ht $$p.html; \
-	  awk 'NR > 2' $$p.ht > $$p.ht2; \
-	  $(rst2html) $$p.ht2 $$p.html; \
 	  mv $$p.html ../debian/python/usr/share/doc/python/faq/; \
-	  rm -f $$p.ht2; \
 	done
 	mv debian/python/usr/share/doc/python/faq/FAQ.html \
 		debian/python/usr/share/doc/python/
@@ -165,7 +175,7 @@
 	dh_installdirs
 	-make check_versions
 	DESTDIR=debian/python PREFIX=/usr make install-dev
-	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime manpages
+	DESTDIR=debian/python-minimal PREFIX=/usr make install-runtime
 	# disabled by default, run manually if you want to update it
 	# (requires apt-file and network connection)
 	#make -C pydist dist_fallback
@@ -273,7 +283,3 @@
 	ln -sf 2to3-$(VER).1.gz \
 		debian/python/usr/share/man/man1/2to3.1.gz
 
-	mkdir -p debian/python/usr/share/doc/python
-	cp -a debian/python-policy.{html,sgml,txt} \
-		debian/python/usr/share/doc/python/
-
